package com.banesco.common.domain.dto.bian.customer;

public class CustomerReference {
    String customerIdType;
    String customerId;

    public CustomerReference() {
    }

    public CustomerReference(String customerIdType, String customerId) {
        this.customerIdType = customerIdType;
        this.customerId = customerId;
    }

    public String getCustomerIdType() {
        return customerIdType;
    }

    public void setCustomerIdType(String customerIdType) {
        this.customerIdType = customerIdType;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    @Override
    public String toString() {
        return "{\"customerIdType\":\"%s\",\"customerId\":\"%s\"}"
                .formatted(customerIdType, customerId);
    }
}
